Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.operations
Class UnaryOperation

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.operations.UnaryOperation

Direct Known Subclasses:
  Bool, Neg, Number, String

public abstract class UnaryOperation
extends Expression

The unary operation base class.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected Expression` | `m_right` The operand for the operation.

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`UnaryOperation()`

Method Summary
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`XObject` | `execute(XPathContext xctxt)` Execute the operand and apply the unary operation to the result.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`Expression` | `getOperand()`
`abstract XObject` | `operate(XObject right)` Apply the operation to two operands, and return the result.
`void` | `setRight(Expression r)` Set the expression operand for the operation.

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_right

    protected Expression m_right

  The operand for the operation.

Constructor Detail

### UnaryOperation

    public UnaryOperation()

Method Detail

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class Expression

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.
  Overrides:
    canTraverseOutsideSubtree in class Expression

### setRight

    public void setRight(Expression r)

  Set the expression operand for the operation.

  Parameters:
    `r` - The expression operand to which the unary operation will be applied.

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the operand and apply the unary operation to the result.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    An XObject that represents the result of applying the unary operation to the evaluated operand.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Expression

### operate

    public abstract XObject operate(XObject right)
                             throws javax.xml.transform.TransformerException

  Apply the operation to two operands, and return the result.

  Parameters:
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    javax.xml.transform.TransformerException -

### getOperand

    public Expression getOperand()

  Returns:
    the operand of unary operation, as an Expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference